GraphDatabaseSettings (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.factory

## Class GraphDatabaseSettings

- java.lang.Object
- - org.neo4j.graphdb.factory.GraphDatabaseSettings

-     public abstract class GraphDatabaseSettings
      extends Object

  Settings for Neo4j. Use this with `GraphDatabaseBuilder`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Setting<Long>` | `all_stores_total_mapped_memory_size`
    `static Setting<Boolean>` | `allow_store_upgrade`
    `static Setting<Integer>` | `array_block_size`
    `static Setting<Long>` | `arrays_mapped_memory_size`
    `static Setting<Boolean>` | `backup_slave`
    `static Setting<String>` | `cache_type`
    `static Setting<String>` | `cypher_parser_version`
    `static Setting<Integer>` | `dense_node_threshold`
    `static Setting<Boolean>` | `dump_configuration`
    `static Setting<Boolean>` | `execution_guard_enabled`
    `static Setting<String>` | `forced_kernel_id`
    `static Setting<Long>` | `gc_monitor_block_threshold`
    `static Setting<Long>` | `gc_monitor_interval`
    `static Setting<Boolean>` | `intercept_committing_transactions`
    `static Setting<Boolean>` | `intercept_deserialized_transactions`
    `static Setting<String>` | `keep_logical_logs`
    `static Setting<Integer>` | `label_block_size`
    `static Setting<Boolean>` | `log_mapped_memory_stats`
    `static Setting<File>` | `log_mapped_memory_stats_filename`
    `static Setting<Integer>` | `log_mapped_memory_stats_interval`
    `static Setting<File>` | `logical_log`
    `static Setting<Long>` | `logical_log_rotation_threshold`
    `static Setting<Integer>` | `lucene_searcher_cache_size`
    `static Setting<Long>` | `mapped_memory_page_size`
    `static Setting<File>` | `neo_store`
    `static Setting<Boolean>` | `node_auto_indexing`
    `static Setting<String>` | `node_keys_indexable`
    `static Setting<Long>` | `nodestore_mapped_memory_size`
    `static Setting<Long>` | `nodestore_propertystore_index_keys_mapped_memory_size`
    `static Setting<Long>` | `nodestore_propertystore_index_mapped_memory_size`
    `static Setting<Long>` | `nodestore_propertystore_mapped_memory_size`
    `static Setting<Integer>` | `query_cache_size`
    `static Setting<Boolean>` | `read_only`
    `static Setting<Boolean>` | `rebuild_idgenerators_fast`
    `static Setting<Boolean>` | `relationship_auto_indexing`
    `static Setting<Integer>` | `relationship_grab_size`
    `static Setting<String>` | `relationship_keys_indexable`
    `static Setting<Long>` | `relationshipstore_mapped_memory_size`
    `static Setting<Boolean>` | `remote_logging_enabled`
    `static Setting<String>` | `remote_logging_host`
    `static Setting<Integer>` | `remote_logging_port`
    `static Setting<File>` | `store_dir`
    `static Setting<Integer>` | `string_block_size`
    `static Setting<Long>` | `strings_mapped_memory_size`
    `static Setting<Integer>` | `threshold_for_logging_rotation`
    `static Setting<String>` | `tx_manager_impl`
    `static Setting<Boolean>` | `use_memory_mapped_buffers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphDatabaseSettings()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### read_only

          public static final Setting<Boolean> read_only

    - #### cache_type

          public static final Setting<String> cache_type

    - #### dump_configuration

          public static final Setting<Boolean> dump_configuration

    - #### tx_manager_impl

          public static final Setting<String> tx_manager_impl

    - #### allow_store_upgrade

          public static final Setting<Boolean> allow_store_upgrade

    - #### intercept_deserialized_transactions

          public static final Setting<Boolean> intercept_deserialized_transactions

    - #### cypher_parser_version

          public static final Setting<String> cypher_parser_version

    - #### query_cache_size

          public static Setting<Integer> query_cache_size

    - #### store_dir

          public static final Setting<File> store_dir

    - #### neo_store

          public static final Setting<File> neo_store

    - #### logical_log

          public static final Setting<File> logical_log

    - #### remote_logging_enabled

          public static final Setting<Boolean> remote_logging_enabled

    - #### remote_logging_host

          public static final Setting<String> remote_logging_host

    - #### remote_logging_port

          public static final Setting<Integer> remote_logging_port

    - #### threshold_for_logging_rotation

          public static final Setting<Integer> threshold_for_logging_rotation

    - #### node_auto_indexing

          public static final Setting<Boolean> node_auto_indexing

    - #### node_keys_indexable

          public static final Setting<String> node_keys_indexable

    - #### relationship_auto_indexing

          public static final Setting<Boolean> relationship_auto_indexing

    - #### relationship_keys_indexable

          public static final Setting<String> relationship_keys_indexable

    - #### lucene_searcher_cache_size

          public static Setting<Integer> lucene_searcher_cache_size

    - #### intercept_committing_transactions

          public static final Setting<Boolean> intercept_committing_transactions

    - #### keep_logical_logs

          public static final Setting<String> keep_logical_logs

    - #### logical_log_rotation_threshold

          public static final Setting<Long> logical_log_rotation_threshold

    - #### rebuild_idgenerators_fast

          public static final Setting<Boolean> rebuild_idgenerators_fast

    - #### use_memory_mapped_buffers

          public static final Setting<Boolean> use_memory_mapped_buffers

    - #### mapped_memory_page_size

          public static final Setting<Long> mapped_memory_page_size

    - #### all_stores_total_mapped_memory_size

          public static final Setting<Long> all_stores_total_mapped_memory_size

    - #### log_mapped_memory_stats

          public static final Setting<Boolean> log_mapped_memory_stats

    - #### log_mapped_memory_stats_filename

          public static final Setting<File> log_mapped_memory_stats_filename

    - #### log_mapped_memory_stats_interval

          public static final Setting<Integer> log_mapped_memory_stats_interval

    - #### nodestore_mapped_memory_size

          public static final Setting<Long> nodestore_mapped_memory_size

    - #### nodestore_propertystore_mapped_memory_size

          public static final Setting<Long> nodestore_propertystore_mapped_memory_size

    - #### nodestore_propertystore_index_mapped_memory_size

          public static final Setting<Long> nodestore_propertystore_index_mapped_memory_size

    - #### nodestore_propertystore_index_keys_mapped_memory_size

          public static final Setting<Long> nodestore_propertystore_index_keys_mapped_memory_size

    - #### strings_mapped_memory_size

          public static final Setting<Long> strings_mapped_memory_size

    - #### arrays_mapped_memory_size

          public static final Setting<Long> arrays_mapped_memory_size

    - #### relationshipstore_mapped_memory_size

          public static final Setting<Long> relationshipstore_mapped_memory_size

    - #### relationship_grab_size

          public static final Setting<Integer> relationship_grab_size

    - #### string_block_size

          public static final Setting<Integer> string_block_size

    - #### array_block_size

          public static final Setting<Integer> array_block_size

    - #### label_block_size

          public static final Setting<Integer> label_block_size

    - #### backup_slave

          public static final Setting<Boolean> backup_slave

    - #### forced_kernel_id

          public static final Setting<String> forced_kernel_id

    - #### execution_guard_enabled

          public static final Setting<Boolean> execution_guard_enabled

    - #### gc_monitor_interval

          public static final Setting<Long> gc_monitor_interval

    - #### gc_monitor_block_threshold

          public static final Setting<Long> gc_monitor_block_threshold

    - #### dense_node_threshold

          public static final Setting<Integer> dense_node_threshold

  - ### Constructor Detail

    - #### GraphDatabaseSettings

          public GraphDatabaseSettings()

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.